# Generated by Django 2.0.5 on 2018-05-25 05:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='delivers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inning', models.IntegerField()),
                ('batting_team', models.CharField(max_length=30)),
                ('bowling_team', models.CharField(max_length=30)),
                ('over', models.IntegerField()),
                ('ball', models.IntegerField()),
                ('batsman', models.CharField(max_length=40)),
                ('non_striker', models.CharField(max_length=40)),
                ('bowler', models.CharField(max_length=40)),
                ('is_super_over', models.IntegerField()),
                ('wide_runs', models.IntegerField()),
                ('bye_runs', models.IntegerField()),
                ('legbye_runs', models.IntegerField()),
                ('noball_runs', models.IntegerField()),
                ('penalty_runs', models.IntegerField()),
                ('batsman_runs', models.IntegerField()),
                ('extra_runs', models.IntegerField()),
                ('total_runs', models.IntegerField()),
                ('player_dismissed', models.CharField(max_length=40)),
                ('dismissal_kind', models.CharField(max_length=40)),
                ('fielder', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='matches',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('season', models.IntegerField()),
                ('city', models.CharField(max_length=230)),
                ('date', models.DateField(max_length=100)),
                ('team1', models.CharField(max_length=250)),
                ('team2', models.CharField(max_length=250)),
                ('toss_winner', models.CharField(max_length=250)),
                ('toss_decision', models.CharField(max_length=250)),
                ('result', models.CharField(max_length=250)),
                ('dl_applied', models.IntegerField()),
                ('winner', models.CharField(max_length=250)),
                ('win_by_runs', models.IntegerField()),
                ('win_by_wickets', models.IntegerField()),
                ('player_of_match', models.CharField(max_length=250)),
                ('venue', models.CharField(max_length=250)),
                ('umpire1', models.CharField(max_length=250)),
                ('umpire2', models.CharField(max_length=250)),
            ],
        ),
        migrations.AddField(
            model_name='delivers',
            name='match_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='basic.matches'),
        ),
    ]
